//
//  FeatureActionsCell.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 21/01/16.
//  Copyright © 2016 MENDELU. All rights reserved.
//

import Foundation
import UIKit

protocol FeatureActionsCellDelegate{
    func showFeatureInfo()
    func editFeatureGeometry()
}

class FeatureActionsCell: UITableViewCell{
    
    var delegate: FeatureActionsCellDelegate? = nil
    
    @IBAction func featureInfoClick(sender: AnyObject) {
        delegate?.showFeatureInfo()
    }
    
    @IBAction func editGeometryClick(sender: AnyObject) {
        delegate?.editFeatureGeometry()
    }
}