//
//  FeatureDeleteCell.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 22/01/16.
//  Copyright © 2016 MENDELU. All rights reserved.
//

import Foundation
import UIKit

protocol FeatureDeleteCellDelegate{
    func deleteFeature(sender: UIButton)
}

class FeatureDeleteCell: UITableViewCell{
    
    var delegate: FeatureDeleteCellDelegate? = nil
    
    @IBAction func deleteClick(sender: AnyObject) {
        delegate?.deleteFeature(sender as! UIButton)
    }
    
}