//
//  MapLayer.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 10/7/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import CoreData

@objc(LayerInProject)
class LayerInProject: Model, ModelProtocol {
    
    // class variables not supported yet
    override class func getEntityName() -> String {
        return "LayerInProject"
    }
    override func getEntityName() -> String {
        return "LayerInProject"
    }
    
    @NSManaged var color: String?
    @NSManaged var hashString: String
    @NSManaged var hidden: NSNumber
    @NSManaged var order: NSNumber
    @NSManaged var symbology: String
    @NSManaged var transparency: NSNumber
    @NSManaged var visibility: Bool
    @NSManaged var zoomThreshold: NSNumber
    @NSManaged var layer: Layer?
    @NSManaged var project: Project?
    @NSManaged var mergeFlag: Int64

}
