//
//  LayerCell.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 10/2/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import UIKit

class LayerInProjectCell: UITableViewCell{
    
    var layerInProject: LayerInProject?
    
    @IBOutlet weak var title: UILabel!
    @IBOutlet weak var descriptionText: UILabel!
    @IBOutlet weak var itemsCount: UILabel!
    @IBOutlet weak var modification: UILabel!
    @IBOutlet weak var ownerLabel: UILabel!
    @IBOutlet weak var owner: UILabel!
    @IBOutlet weak var visibilityIcon: UIImageView!
    @IBOutlet weak var sharedIcon: UIImageView!
    @IBOutlet weak var typeIcon: UIImageView!
    @IBOutlet weak var colorStrip: UILabel!
    @IBOutlet weak var activeLayerIcon: UIButton!
    
    @IBOutlet weak var visibilityIconCenterConstraint: NSLayoutConstraint!
    @IBOutlet weak var visibilityIconTopConstraint: NSLayoutConstraint!
    
    /**
     Persist color strip color after selecting the row.
     */
    override func setSelected(selected: Bool, animated: Bool) {
        let tempColor = colorStrip.backgroundColor
        super.setSelected(selected, animated: animated)
        colorStrip.backgroundColor = tempColor
    }
    
}
