//
//  MarkerData.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 21/01/16.
//  Copyright © 2016 MENDELU. All rights reserved.
//

import Foundation
import GoogleMaps

class MapObjectData: AnyObject{
    var feature: Feature
    var layerInProject: LayerInProject
    var object: GMSOverlay? = nil
    
    init(feature: Feature, layerInProject: LayerInProject){
        self.feature = feature
        self.layerInProject = layerInProject
    }
}
