//
//  UserController.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 10/26/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import UIKit

class UserController: UITableViewController{
    
    @IBOutlet weak var nameField: UITextField!
    @IBOutlet weak var emailField: UITextField!
    @IBOutlet weak var phoneField: UITextField!
    
    override func viewWillAppear(animated: Bool) {
        if(Settings.name == nil){
            nameField.text = ""
        }else{
            nameField.text = Settings.name
        }
        
        if(Settings.email == nil){
            emailField.text = ""
        }else{
            emailField.text = Settings.email
        }
        
        if(Settings.phone == nil){
            phoneField.text = ""
        }else{
            phoneField.text = Settings.phone
        }
        
    }
}
