//
//  config.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 9/10/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation

struct config {
    static let googleAPIKey = "AIzaSyBUnUgsAuGfiS3yzjtWauAreaF_cSlN4Mg" // Fill in your Google API key with Google Maps SDK for iOS allowed.
    static let contactURL = "http://echo.mendelu.cz/contact.html" // Fill in the contact address for new frontend users registration requests. It is used as a link on the Welcome page.
    
    static let defaultSettings = [
        SettingsConstants.URL: "http://echo11.mendelu.cz/api",
        SettingsConstants.USERNAME: "",
        SettingsConstants.PASSWORD: "",
        SettingsConstants.SYNC_ENABLED: true,
        SettingsConstants.SYNC_INTERVAL: 10, // sec
        SettingsConstants.NAME: "",
        SettingsConstants.PHONE: "",
        SettingsConstants.EMAIL: "",
        SettingsConstants.WELCOME_PAGE_DISMISSED: false,
        SettingsConstants.DEBUG_MODE: true,
        SettingsConstants.LAST_LOGIN: "" // leave empty
    ]
    
    struct featurePictureSize {
        static let width = 1600
        static let height = 1600
        static let jpegCompression = 0.75
    }
    
    struct markers {
        static let symbolsExtension = "png"
        static let symbols = [
            "ic_marker_m1",
            "ic_marker_m0",
            "ic_marker_m2",
            "ic_marker_m3",
            "ic_marker_m4",
            "ic_marker_m5",
            "ic_marker_m6",
            "ic_marker_m7",
            "ic_marker_m8",
            "ic_marker_m9",
            "ic_marker_m10",
            "ic_marker_antenna",
            "ic_marker_antennas",
            "ic_marker_bench",
            "ic_marker_lamp",
            "ic_marker_sign",
            "ic_marker_tree",
            "ic_marker_trees",
            "ic_marker_house",
            "ic_marker_school",
            "ic_marker_restaurant",
            "ic_marker_cache",
            "ic_marker_health",
            "ic_marker_note",
            "ic_marker_warning",
            "ic_marker_water",
            "ic_marker_wfi",
            "ic_marker_bank",
            "ic_marker_boat",
            "ic_marker_harbour",
            "ic_marker_heart",
            "ic_marker_man",
            "ic_marker_woman",
            "ic_marker_candle",
            "ic_marker_toilets",
            "ic_marker_car",
            "ic_marker_plane"
        ]
        
        static let colors = [
            "#FF6666",
            "#FF3333",
            "#FF0000",
            "#CC0000",
            "#990000",
            "#FF9966",
            "#FF6633",
            "#FF3300",
            "#CC3300",
            "#993300",
            "#FFCC99",
            "#CC9966",
            "#996633",
            "#663300",
            "#FFCC66",
            "#CC9900",
            "#996600",
            "#CCCC99",
            "#999966",
            "#666633",
            "#333300",
            "#CCCC66",
            "#CCCC33",
            "#999933",
            "#666600",
            "#CCCC00",
            "#66FF99",
            "#00FF33",
            "#00CC33",
            "#009933",
            "#66FFFF",
            "#00CCCC",
            "#009999",
            "#006666",
            "#66CCFF",
            "#00CCFF",
            "#0099CC",
            "#006699",
            "#CCCCFF",
            "#9999CC",
            "#666699",
            "#333366",
            "#000066",
            "#FF6699",
            "#FF0033",
            "#CC0033",
            "#990033",
            "#EEEEEE",
            "#CCCCCC",
            "#999999",
            "#666666",
            "#333333",
            "#000000"
        ]
    }

}
