//
//  FeatureAttribute.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 12/26/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import CoreData

@objc(FeatureAttribute)
class FeatureAttribute: Model, ModelProtocol {
    
    override class func getEntityName() -> String {
        return "FeatureAttribute"
    }
    override func getEntityName() -> String {
        return "FeatureAttribute"
    }
    
    override func getEventType() -> String? {
        return "Attribute"
    }
    
    @NSManaged var valueString: String
    @NSManaged var hashString: String
    @NSManaged var hidden: Bool
    @NSManaged var mergeFlag: Int64
    
    @NSManaged var layerattribute: LayerAttribute
    @NSManaged var feature: Feature
}
