//
//  LayerAttribute.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 12/26/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import CoreData

@objc(LayerAttribute)
class LayerAttribute: Model, ModelProtocol {
    
    override class func getEntityName() -> String {
        return "LayerAttribute"
    }
    
    override func getEntityName() -> String {
        return "LayerAttribute"
    }
    
    override func getEventType() -> String? {
        return "Attribute"
    }
    
    @NSManaged var hashString: String
    @NSManaged var name: String
    @NSManaged var kind: String
    @NSManaged var title: String
    @NSManaged var hidden: Bool
    @NSManaged var mergeFlag: Int64
    
    @NSManaged var values: [FeatureAttribute]
    @NSManaged var layer: Layer
}
