//
//  Model.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 10/17/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import CoreData

protocol ModelProtocol{
    static func getEntityName()->String
    func getEntityName()->String
}

@objc(Model)
class Model: NSManagedObject{
    class func getEntityName()->String{
        abstract()
        return ""
    }
    
    func getEntityName()->String{
        abstract()
        return ""
    }
    
    func getEventType()->String?{
        return getEntityName()
    }
}



